VULKAN_HPP_NAMESPACE::Offset3D Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| Offset3D (int32_t x_=0, int32_t y_=0, int32_t z_=0)
| Offset3D (Offset2D const &offset2D, int32_t z_=0)
| Offset3D (VkOffset3D const &rhs)
Offset3D & | operator= (VkOffset3D const &rhs)
Offset3D & | setX (int32_t x_)
Offset3D & | setY (int32_t y_)
Offset3D & | setZ (int32_t z_)
| operator VkOffset3D const & () const
| operator VkOffset3D & ()
bool | operator== (Offset3D const &rhs) const
bool | operator!= (Offset3D const &rhs) const

## Data Fields

int32_t | x
int32_t | y
int32_t | z

## Detailed Description

Definition at line 5149 of file vulkan.hpp.

## Constructor & Destructor Documentation

## Offset3D() [1/3]

VULKAN_HPP_NAMESPACE::Offset3D::Offset3D | ( | int32_t | x_ = `0`,
|  | int32_t | y_ = `0`,
|  | int32_t | z_ = `0`
| ) |  |

inline

Definition at line 5151 of file vulkan.hpp.

: x( x_ )
, y( y_ )
, z( z_ )
{
}

## Offset3D() [2/3]

VULKAN_HPP_NAMESPACE::Offset3D::Offset3D | ( | Offset2D const & | offset2D,
|  | int32_t | z_ = `0`
| ) |  |

inline explicit

Definition at line 5160 of file vulkan.hpp.

: x( offset2D.x )
, y( offset2D.y )
, z( z_ )
{}

## Offset3D() [3/3]

VULKAN_HPP_NAMESPACE::Offset3D::Offset3D | ( | VkOffset3D const & | rhs | ) |

inline

Definition at line 5167 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( Offset3D ) );
}

References memcpy.

## Member Function Documentation

## operator VkOffset3D &()

VULKAN_HPP_NAMESPACE::Offset3D::operator VkOffset3D & | ( |  | ) |

inline

Definition at line 5200 of file vulkan.hpp.

{
return *reinterpret_cast<VkOffset3D*>(this);
}

## operator VkOffset3D const &()

VULKAN_HPP_NAMESPACE::Offset3D::operator VkOffset3D const & | ( |  | ) | const

inline

Definition at line 5195 of file vulkan.hpp.

{
return *reinterpret_cast<const VkOffset3D*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::Offset3D::operator!= | ( | Offset3D const & | rhs | ) | const

inline

Definition at line 5212 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

Offset3D& VULKAN_HPP_NAMESPACE::Offset3D::operator= | ( | VkOffset3D const & | rhs | ) |

inline

Definition at line 5172 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( Offset3D ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::Offset3D::operator== | ( | Offset3D const & | rhs | ) | const

inline

Definition at line 5205 of file vulkan.hpp.

{
return ( x == rhs.x )
&& ( y == rhs.y )
&& ( z == rhs.z );
}

References x, y, and z.

Referenced by operator!=().

## setX()

Offset3D& VULKAN_HPP_NAMESPACE::Offset3D::setX | ( | int32_t | x_ | ) |

inline

Definition at line 5177 of file vulkan.hpp.

{
x = x_;
return *this;
}

## setY()

Offset3D& VULKAN_HPP_NAMESPACE::Offset3D::setY | ( | int32_t | y_ | ) |

inline

Definition at line 5183 of file vulkan.hpp.

{
y = y_;
return *this;
}

## setZ()

Offset3D& VULKAN_HPP_NAMESPACE::Offset3D::setZ | ( | int32_t | z_ | ) |

inline

Definition at line 5189 of file vulkan.hpp.

{
z = z_;
return *this;
}

## Field Documentation

## x

int32_t VULKAN_HPP_NAMESPACE::Offset3D::x

Definition at line 5217 of file vulkan.hpp.

Referenced by operator==().

## y

int32_t VULKAN_HPP_NAMESPACE::Offset3D::y

Definition at line 5218 of file vulkan.hpp.

Referenced by operator==().

## z

int32_t VULKAN_HPP_NAMESPACE::Offset3D::z

Definition at line 5219 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkOffset3D
Definition: vulkan_core.h:2132
VULKAN_HPP_NAMESPACE::Offset3D::x
int32_t x
Definition: vulkan.hpp:5217
VULKAN_HPP_NAMESPACE::Offset3D::z
int32_t z
Definition: vulkan.hpp:5219
z
GLdouble GLdouble z
Definition: SDL_opengl_glext.h:404
memcpy
#define memcpy
Definition: SDL_malloc.c:630
x
GLint GLint GLint GLint GLint x
Definition: SDL_opengl.h:1574
VULKAN_HPP_NAMESPACE::Offset3D::operator==
bool operator==(Offset3D const &rhs) const
Definition: vulkan.hpp:5205
y
GLint GLint GLint GLint GLint GLint y
Definition: SDL_opengl.h:1574
VULKAN_HPP_NAMESPACE::Offset3D::y
int32_t y
Definition: vulkan.hpp:5218
VULKAN_HPP_NAMESPACE::Offset3D::Offset3D
Offset3D(int32_t x_=0, int32_t y_=0, int32_t z_=0)
Definition: vulkan.hpp:5151